Bug 187344 - [PATCH] x11-fonts/cyr-rfx: support staging
Summary: [PATCH] x11-fonts/cyr-rfx: support staging
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mikhail Teterin
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-07 10:50 UTC by Dmitry Marakasov
Modified: 2014-03-29 14:10 UTC (History)
1 user (show)

See Also:


Attachments
cyr-rfx-koi8-o-1.1.patch (1.76 KB, patch)
2014-03-07 10:50 UTC, Dmitry Marakasov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dmitry Marakasov 2014-03-07 10:50:00 UTC
- Support staging
- Install into PREFIX, not LOCALBASE
- Fix pkg-message displaying

Renamed files:

pkg-message -> files/pkg-message.in

Port maintainer (mi@aldan.algebra.com) is cc'd.

Generated with FreeBSD Port Tools 1.00.2014.02.18 (mode: change, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-07 10:50:14 UTC
Responsible Changed
From-To: freebsd-ports-bugs->mi

mi@aldan.algebra.com => mi@ (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2014-03-07 10:50:15 UTC
Maintainer of x11-fonts/cyr-rfx,

Please note that PR ports/187344 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/187344

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2014-03-07 10:50:16 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 dfilter service freebsd_committer 2014-03-29 14:05:41 UTC
Author: amdmi3
Date: Sat Mar 29 14:05:38 2014
New Revision: 349514
URL: http://svnweb.freebsd.org/changeset/ports/349514
QAT: https://qat.redports.org/buildarchive/r349514/

Log:
  - Support staging
  - Install into PREFIX, not LOCALBASE
  - Fix pkg-message displaying
  
  PR:		187344
  Submitted by:	amdmi3
  Approved by:	maintainer timeout, portmgr (blanket)

Added:
  head/x11-fonts/cyr-rfx/files/pkg-message.in
     - copied, changed from r349506, head/x11-fonts/cyr-rfx/pkg-message
Deleted:
  head/x11-fonts/cyr-rfx/pkg-message
Modified:
  head/x11-fonts/cyr-rfx/Makefile

Modified: head/x11-fonts/cyr-rfx/Makefile
==============================================================================
--- head/x11-fonts/cyr-rfx/Makefile	Sat Mar 29 14:04:00 2014	(r349513)
+++ head/x11-fonts/cyr-rfx/Makefile	Sat Mar 29 14:05:38 2014	(r349514)
@@ -3,7 +3,7 @@
 
 PORTNAME=	cyr-rfx-${CYR_RFX_ENCODING}
 PORTVERSION=	1.1
-PORTREVISION=	2
+PORTREVISION=	3
 CATEGORIES=	x11-fonts ukrainian russian
 MASTER_SITES=	ftp://ftp.ptc.spbu.ru/mirror/ftp.inp.nsk.su/%SUBDIR%/ \
 		ftp://ftp.inp.nsk.su/%SUBDIR%/
@@ -26,12 +26,10 @@ CYR_RFX_ENCODING?=	koi8-o
 WRKSRC=		${WRKDIR}/${CYR_RFX_ENCODING}
 MAKEFILE=	${FILESDIR}/Makefile.bdf2pcf
 INST_DIR=	"lib/X11/fonts/${PORTNAME}"
-MAKE_ENV+=	INST_DIR="${LOCALBASE}/${INST_DIR}" MKDIR="${MKDIR}"
-PLIST_SUB+=	INST_DIR="${INST_DIR}"
+MAKE_ENV+=	INST_DIR="${STAGEDIR}${PREFIX}/${INST_DIR}" MKDIR="${MKDIR}"
+PLIST_SUB=	INST_DIR="${INST_DIR}"
 
-NO_STAGE=	yes
-post-install:
-	@${SED} -e 's,/usr/X11R6,${LOCALBASE},g' -e \
-		's,koi8-o,${CYR_RFX_ENCODING},g' < ${PKGMESSAGE}
+SUB_LIST=	CYR_RFX_ENCODING="${CYR_RFX_ENCODING}"
+SUB_FILES=	pkg-message
 
 .include <bsd.port.mk>

Copied and modified: head/x11-fonts/cyr-rfx/files/pkg-message.in (from r349506, head/x11-fonts/cyr-rfx/pkg-message)
==============================================================================
--- head/x11-fonts/cyr-rfx/pkg-message	Sat Mar 29 13:19:27 2014	(r349506, copy source)
+++ head/x11-fonts/cyr-rfx/files/pkg-message.in	Sat Mar 29 14:05:38 2014	(r349514)
@@ -1,10 +1,10 @@
 
 This port provides Cyrillic replacements for most of the standard
-	/usr/X11R6/lib/X11/fonts/misc
+	%%PREFIX%%/lib/X11/fonts/misc
 and
-	/usr/X11R6/lib/X11/fonts/75dpi
+	%%PREFIX%%/lib/X11/fonts/75dpi
 fonts.
 
 You may want to make sure, the
-	/usr/X11R6/lib/X11/fonts/cyr-rfx-koi8-o
+	%%PREFIX%%/lib/X11/fonts/cyr-rfx-%%CYR_RFX_ENCODING%%
 is listed in your fontpath before those two paths.
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Dmitry Marakasov freebsd_committer 2014-03-29 14:09:07 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!